Market Gainers
curl --request GET \
--url https://stocks-dev.up.railway.app/api/v1/market/gainersimport requests
url = "https://stocks-dev.up.railway.app/api/v1/market/gainers"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://stocks-dev.up.railway.app/api/v1/market/gainers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stocks-dev.up.railway.app/api/v1/market/gainers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://stocks-dev.up.railway.app/api/v1/market/gainers"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://stocks-dev.up.railway.app/api/v1/market/gainers")
.asString();require 'uri'
require 'net/http'
url = URI("https://stocks-dev.up.railway.app/api/v1/market/gainers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"gainers": [
{
"ticker": "<string>",
"changes": 123,
"price": "<string>",
"changesPercentage": "<string>",
"companyName": "<string>"
}
]
}Market Data
Market Gainers
Get the biggest stock market gainers of the day
GET
/
api
/
v1
/
market
/
gainers
Market Gainers
curl --request GET \
--url https://stocks-dev.up.railway.app/api/v1/market/gainersimport requests
url = "https://stocks-dev.up.railway.app/api/v1/market/gainers"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://stocks-dev.up.railway.app/api/v1/market/gainers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stocks-dev.up.railway.app/api/v1/market/gainers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://stocks-dev.up.railway.app/api/v1/market/gainers"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://stocks-dev.up.railway.app/api/v1/market/gainers")
.asString();require 'uri'
require 'net/http'
url = URI("https://stocks-dev.up.railway.app/api/v1/market/gainers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"gainers": [
{
"ticker": "<string>",
"changes": 123,
"price": "<string>",
"changesPercentage": "<string>",
"companyName": "<string>"
}
]
}Overview
Retrieve the top performing stocks with the highest percentage gains for the current trading day. This endpoint provides real-time market data to identify trending and high-momentum stocks.Data is updated in real-time during market hours and shows after-hours performance when markets are closed.
Parameters
This endpoint requires no parameters and returns the top market gainers.Response
array
Examples
curl "https://stocks-dev.up.railway.app/api/v1/market/gainers"
import requests
response = requests.get("https://stocks-dev.up.railway.app/api/v1/market/gainers")
data = response.json()
print("📈 Top Market Gainers:")
for gainer in data['gainers'][:5]:
print(f"{gainer['ticker']}: +{gainer['changesPercentage']}% (${gainer['price']})")
const response = await fetch('https://stocks-dev.up.railway.app/api/v1/market/gainers');
const data = await response.json();
console.log("📈 Top Market Gainers:");
data.gainers.slice(0, 5).forEach(gainer => {
console.log(`${gainer.ticker}: +${gainer.changesPercentage}% ($${gainer.price})`);
});
<?php
$response = file_get_contents('https://stocks-dev.up.railway.app/api/v1/market/gainers');
$data = json_decode($response, true);
echo "📈 Top Market Gainers:\n";
foreach (array_slice($data['gainers'], 0, 5) as $gainer) {
echo $gainer['ticker'] . ": +" . $gainer['changesPercentage'] . "% ($" . $gainer['price'] . ")\n";
}
?>
Response Example
{
"gainers": [
{
"ticker": "JEM",
"changes": 0.57,
"price": "6.3",
"changesPercentage": "9.94764",
"companyName": "707 Cayman Holdings Limited Ordinary Shares"
},
{
"ticker": "TIPT",
"changes": 2.23,
"price": "24.72",
"changesPercentage": "9.91552",
"companyName": "Tiptree Inc."
},
{
"ticker": "GDXD",
"changes": 1.89,
"price": "21.05",
"changesPercentage": "9.86849",
"companyName": "MicroSectors Gold Miners -3X Inverse Leveraged ETN"
}
]
}
MCP Protocol Usage
For AI agents using the Model Context Protocol:{
"method": "tools/call",
"params": {
"name": "fmp_get_market_gainers",
"arguments": {
"random_string": "dummy"
}
}
}
The
random_string parameter is required due to MCP protocol requirements but can be any value.Use Cases
Day Trading
Day Trading
Identify high-momentum stocks for potential day trading opportunities.
Market Analysis
Market Analysis
Analyze market trends and sector rotation by examining top gainers.
News Correlation
News Correlation
Cross-reference gainers with news events to understand market drivers.
Screening
Screening
Use as a starting point for further fundamental or technical analysis.
Rate Limits
| Plan | Requests/Day | Requests/Minute |
|---|---|---|
| Free | 250 | 5 |
| Starter | 1,000 | 20 |
| Professional | 10,000 | 100 |
Related Endpoints
Market Losers
Get the biggest market losers of the day
Most Active
Stocks with highest trading volume
Sector Performance
Performance by market sector
Stock Screener
Custom stock screening with filters
Error Responses
Service Unavailable (503)
Service Unavailable (503)
{
"error": "Market data temporarily unavailable",
"detail": "Please try again in a few moments"
}
Rate Limited (429)
Rate Limited (429)
{
"error": "Rate limit exceeded",
"detail": "Too many requests. Please try again later.",
"retry_after": 60
}
Market Hours
Market Hours: 9:30 AM - 4:00 PM ET (Monday-Friday)
Pre-Market: 4:00 AM - 9:30 AM ET
After-Hours: 4:00 PM - 8:00 PM ET
Pre-Market: 4:00 AM - 9:30 AM ET
After-Hours: 4:00 PM - 8:00 PM ET